Skip to main content
GET
/
api
/
v1
/
orders
cURL
curl --request GET \
  --url https://api.mainnet.aptoslabs.com/decibel/api/v1/orders \
  --header 'Authorization: Bearer <token>'
{
  "status": "Cancelled",
  "details": "IOC Violation",
  "order": {
    "parent": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "market": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
    "client_order_id": "",
    "order_id": "45679",
    "status": "Cancelled",
    "order_type": "Market",
    "trigger_condition": "None",
    "order_direction": "Close Short",
    "orig_size": 2,
    "remaining_size": 0,
    "size_delta": null,
    "price": 49500,
    "is_buy": false,
    "is_reduce_only": false,
    "details": "IOC Violation",
    "tp_order_id": null,
    "tp_trigger_price": null,
    "tp_limit_price": null,
    "sl_order_id": null,
    "sl_trigger_price": null,
    "sl_limit_price": null,
    "transaction_version": 12345680,
    "unix_ms": 1699565000000
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.decibel.trade/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token from Geomi. See Authentication for setup instructions.

Query Parameters

market
string
required

Market address

account
string
required

Account address

order_id
string

Order ID (provide either this or client_order_id)

client_order_id
string

Client order ID (provide either this or order_id)

Response

200 - application/json

Order details retrieved successfully

details
string
required
order
object
required
status
string
required